Last Comment Bug 595442 - Port front end of Bug 594261 |Factor out geolocation prompt into something that can be reused|.
: Port front end of Bug 594261 |Factor out geolocation prompt into something th...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b1
Assigned To: Philip Chee
:
:
Mentors:
Depends on: 594261
Blocks: 595437
  Show dependency treegraph
 
Reported: 2010-09-10 21:54 PDT by Philip Chee
Modified: 2010-09-19 09:29 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch v1.0 Fix bustage. (6.37 KB, patch)
2010-09-11 10:49 PDT, Philip Chee
neil: review+
Details | Diff | Splinter Review

Description Philip Chee 2010-09-10 21:54:35 PDT
Port stuff needed to support desktop notifications.
Comment 1 Philip Chee 2010-09-11 10:49:58 PDT
Created attachment 474384 [details] [diff] [review]
Patch v1.0 Fix bustage.

This fixes the current breakage due to backend changes from Bug 594261.
Comment 2 Philip Chee 2010-09-11 10:52:06 PDT
> This fixes the current breakage due to backend changes from Bug 594261.

Tested with: http://channy.creation.net/project/firefox/geolocation.html
and the following pref from Firefox:
pref("geo.wifi.uri", "https://www.google.com/loc/json");
Comment 3 Philip Chee 2010-09-11 21:44:41 PDT
Pushed to comm-central
http://hg.mozilla.org/comm-central/rev/130bca1d699e

Note You need to log in before you can comment on or make changes to this bug.